Bug 1569079 - Getting Forbidden exception after ordering the service by non-admin user.
Summary: Getting Forbidden exception after ordering the service by non-admin user.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.4
Assignee: Ohad Levy
QA Contact: Landon LaSmith
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1546944
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 15:02 UTC by Satoe Imaishi
Modified: 2018-06-25 14:20 UTC (History)
11 users (show)

(edit)
Clone Of: 1546944
(edit)
Last Closed: 2018-06-25 14:20:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:20 UTC

Comment 2 CFME Bot 2018-04-18 15:11:24 UTC
New commit detected on ManageIQ/manageiq/fine:

https://github.com/ManageIQ/manageiq/commit/e04653d6af148fac6371407b00b801abfe51c0f7
commit e04653d6af148fac6371407b00b801abfe51c0f7
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Mar  8 12:33:17 2018 -0500
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Mar  8 12:33:17 2018 -0500

    Merge pull request #343 from jntullo/bz_1546944

    Add svc_catalog_provision product feature to service dialog queries
    (cherry picked from commit 31b312c741321ca71e98bac76abf8224ffac53e2)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1569079

 config/api.yml | 12 +-
 spec/requests/api/service_dialogs_spec.rb | 16 +
 2 files changed, 25 insertions(+), 3 deletions(-)

Comment 4 Landon LaSmith 2018-05-18 13:36:00 UTC
VERIFIED in 5.8.4.3. I was able to create a user assigned to a role with Compute and Services product features enabled.  That user was able to view the service catalogs and order the catalog

Comment 6 errata-xmlrpc 2018-06-25 14:20:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.